Package fr.gouv.vitam.storage.offers.rest

# Class AdminOfferSwiftMigrationResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.storage.offers.rest.AdminOfferSwiftMigrationResource

@Path("/offer/v1/swift-migration") public class AdminOfferSwiftMigrationResource extends ApplicationStatusResource

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminOfferSwiftMigrationResource(Swift swiftContentAddressableStorage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `checkSwiftMigrationInProgress()`
  `jakarta.ws.rs.core.Response`
  `getSwiftMigrationResult()`
  `jakarta.ws.rs.core.Response`
  `launchSwiftMigration(SwiftMigrationRequest swiftMigrationRequest)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdminOfferSwiftMigrationResource

    public AdminOfferSwiftMigrationResource(Swift swiftContentAddressableStorage)

- ## Method Details

  - ### launchSwiftMigration

    @POST @Path("") @Consumes("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response launchSwiftMigration(SwiftMigrationRequest swiftMigrationRequest)

  - ### checkSwiftMigrationInProgress

    @HEAD @Path("") @Consumes("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response checkSwiftMigrationInProgress()

  - ### getSwiftMigrationResult

    @GET @Path("") @Consumes("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response getSwiftMigrationResult()